Skip to main content

manifest

POST

Reports the manifest information for a given validator public key.A manifest is the data that proves a validator's master key has authorized an ephemeral signing key.
param[0]
parametersobjectrequired
public_keystringrequired
The base58-encoded public key of the validator to look up.Both the master public key and the ephemeral public key can be used.
Responses
Detailed manifest data. Omitted when the manifest is unavailable.
domainstring
The domain name claimed by the validator. Returns an empty string when absent.
ephemeral_keystring
The base58-encoded ephemeral public key.
master_keystring
The base58-encoded master public key.
seqinteger
The sequence number of the manifest. It increments each time the manifest is updated.
manifeststring
The full manifest, base64-encoded. Omitted when the manifest is unavailable.
requestedstring
Echoes the public key provided in the request.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://xrpl-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"method": "manifest",
"params": [
{
"public_key": "nHUFE9prPXPrHcG3SkwP1UzAQbSphqyQkQK9ATXLZsfkezhhda3p"
}
]
}'